from machine import Pin
import time

# Nastavení GPIO pinů pro LED diody
led_piny = [Pin(i, Pin.OUT) for i in range(8)]

def zhasnuti_led():
    for led in led_piny:
        led.value(0)

def postupne_blikani():
    for a in range(5):
        for led in led_piny:
            led.value(1)
            time.sleep(0.1)
            led.value(0)

def oboustranne_blikani():
    for a in range(5):
        for i in range(4):
            led_piny[i].value(1)
            led_piny[7-i].value(1)
            time.sleep(0.1)
            led_piny[i].value(0)
            led_piny[7-i].value(0)

def vedlejsi_blikani():
    for a in range(5):
        for i in range(0, 8, 2):
            led_piny[i].value(1)
        for i in range(1, 8, 2):
            led_piny[i].value(0)
        time.sleep(0.5)
        for i in range(0, 8, 2):
            led_piny[i].value(0)
        for i in range(1, 8, 2):
            led_piny[i].value(1)
        time.sleep(0.5)

def postupne_on_off():
    for a in range(5):
        for led in led_piny:
            led.value(1)
            time.sleep(0.2)
        time.sleep(0.5)
        for led in led_piny:
            led.value(0)
            time.sleep(0.2)
        time.sleep(0.5)

def vse_blika():
    for a in range(5):
        for led in led_piny:
            led.value(1)
        time.sleep(0.5)
        for led in led_piny:
            led.value(0)
        time.sleep(0.5)

def tam_zpet():
    for a in range(5):
        for i in range(7):
            led_piny[i].value(1)
            time.sleep(0.1)
            led_piny[i].value(0)
        for i in range(7, 0, -1):
            led_piny[i].value(1)
            time.sleep(0.1)
            led_piny[i].value(0)

def divadelni_blikani():
    for a in range(5):
        for q in range(3):
            for i in range(0, 8, 3):
                if i + q < 8:
                    led_piny[i + q].value(1)
            time.sleep(0.1)
            for i in range(0, 8, 3):
                if i + q < 8:
                    led_piny[i + q].value(0)
            time.sleep(0.1)

# Zde ponecháte názvy funkcí, který efekt chcete spustit
efekty = [
    postupne_blikani,
    oboustranne_blikani,
    vedlejsi_blikani,
    postupne_on_off,
    vse_blika,
    tam_zpet,
    divadelni_blikani
]

try:
    # Spustí všechny efekty postupně
    while True:
        for efekt in efekty:
            efekt()
except KeyboardInterrupt:
    zhasnuti_led() 