from machine import Pin
import utime

# Definice LED diod
led1 = Pin(15, Pin.OUT)
led2 = Pin(14, Pin.OUT)
led3 = Pin(13, Pin.OUT)
led4 = Pin(12, Pin.OUT)

# Definice tlačítka
tlacitko = Pin(10, Pin.IN, Pin.PULL_DOWN)

# Inicializace LED diod (obě zhasnuté)
led1.value(0)
led2.value(0)
led3.value(0)
led4.value(0)

# Stavový stroj pro změnu stavu LED
stav = 0

def update_leds(stav):
    if stav == 0:
        led1.value(1)
        led2.value(0)
        led3.value(0)
        led4.value(0)
    elif stav == 1:
        led1.value(0)
        led2.value(1)
        led3.value(0)
        led4.value(0)
    elif stav == 2:
        led1.value(0)
        led2.value(0)
        led3.value(1)
        led4.value(0)
    elif stav == 3:
        led1.value(0)
        led2.value(0)
        led3.value(0)
        led4.value(1)

update_leds(stav)

while True:
    if tlacitko.value() == 1:
        # Tlačítko stisknuto, změň stav
        stav = (stav + 1) % 4  # Cyklická změna stavu
        update_leds(stav)
        utime.sleep(0.3)  # Debounce čas pro tlačítko
    utime.sleep(0.1)  # Krátká pauza pro eliminaci náhodného stavu signálu
